package cn.com.qmth.examcloud.task.service.job;

import cn.com.qmth.examcloud.core.oe.student.api.OeStudentExamRecordCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description 清理文件作答的临时数据
 * @Author lideyin
 * @Date 2019/8/13 19:10
 * @Version 1.0
 */
@Component("oeCleanTempFileAnswerTask")
public class OeCleanTempFileAnswerTask extends AbstractTask {

	@Autowired
	TaskTracker taskTracker;
	
	@Autowired
	private OeStudentExamRecordCloudService oeStudentExamRecordCloudService;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		oeStudentExamRecordCloudService.cleanTempFileAnswers();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}
}
